%define modname   pyliblo
%define pypi_name pyliblo3

Name:           python-pyliblo3
Version:        0.16.3
Release:        %mkrel 1
Summary:        Python bindings for the liblo OSC library
Group:          Development/Python
License:        LGPLv2+
URL:            https://github.com/gesellkammer/pyliblo3
Source0:        %{pypi_source}

BuildRequires:  python3dist(cython)
BuildRequires:  python3dist(setuptools)
BuildRequires:  pkgconfig(liblo)
BuildRequires:  pkgconfig(python3)

%description
pyliblo3 is a Python wrapper for the liblo Open Sound Control library.
It supports almost the complete functionality of liblo, allowing you
to send and receive OSC messages using a nice and simple Python API.

Also included are the command line utilities send_osc and dump_osc.

This is a fork of the original bindings for liblo.

%package -n     python3-%{pypi_name}
Summary:        Python 3 bindings for the liblo OSC library
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

Provides:       %{modname} = %{version}-%{release}
Provides:       %{pypi_name} = %{version}-%{release}
Provides:       python3-pyliblo = %{version}-%{release}
Obsoletes:      python3-pyliblo < 0.10.0-3

%description -n python3-%{pypi_name}
pyliblo3 is a Python wrapper for the liblo Open Sound Control library.
It supports almost the complete functionality of liblo, allowing you
to send and receive OSC messages using a nice and simple Python API.

Also included are the command line utilities send_osc and dump_osc.

This is a fork of the original bindings for liblo.

#------------------------------------------------

%prep
%autosetup -n %{pypi_name}-%{version}

# Fix all Python shebangs recursively in .
%py3_shebang_fix .

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

mkdir -p %{buildroot}%{_mandir}/man1
install -m 0644 scripts/{dump,send}_osc.1 %{buildroot}%{_mandir}/man1

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license COPYING
%{_bindir}/{dump,send}_osc.py
%{_mandir}/man1/{dump,send}_osc.1.*


%changelog
* Thu Jan 30 2025 daviddavid <daviddavid> 0.16.3-1.mga10
+ Revision: 2143633
- new version: 0.16.3
- switch to a new maintained fork python-pyliblo3

* Thu Dec 28 2023 daviddavid <daviddavid> 0.10.0-2.mga10
+ Revision: 2022804
- switch to cython 0.29.x
- rebuild for py3.12

* Fri Mar 25 2022 akien <akien> 0.10.0-1.mga9
+ Revision: 1826148
- imported package python3-pyliblo

